Description (Hamcrest 2.1 API)
Date: 2018-12-21

org.hamcrest

## Interface Description

- All Known Implementing Classes:
    BaseDescription, Description.NullDescription, StringDescription

      public interface Description

  A description of a Matcher. A Matcher will describe itself to a description which can later be used for reporting.
  See Also:
    `SelfDescribing.describeTo(Description)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Description.NullDescription`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Description` | `NONE` A description that consumes input but does nothing.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Description` | `appendDescriptionOf(SelfDescribing value)` Appends the description of a `SelfDescribing` value to this description.
    `Description` | `appendList(java.lang.String start, java.lang.String separator, java.lang.String end, java.lang.Iterable<? extends SelfDescribing> values)` Appends a list of `SelfDescribing` objects to the description.
    `Description` | `appendText(java.lang.String text)` Appends some plain text to the description.
    `Description` | `appendValue(java.lang.Object value)` Appends an arbitrary value to the description.
    `<T> Description` | `appendValueList(java.lang.String start, java.lang.String separator, java.lang.String end, java.lang.Iterable<T> values)` Appends a list of values to the description.
    `<T> Description` | `appendValueList(java.lang.String start, java.lang.String separator, java.lang.String end, T... values)` Appends a list of values to the description.

- - ### Field Detail

    - #### NONE

          static final Description NONE

      A description that consumes input but does nothing.

  - ### Method Detail

    - #### appendText

          Description appendText(java.lang.String text)

      Appends some plain text to the description.

    - #### appendDescriptionOf

          Description appendDescriptionOf(SelfDescribing value)

      Appends the description of a `SelfDescribing` value to this description.

    - #### appendValue

          Description appendValue(java.lang.Object value)

      Appends an arbitrary value to the description.

    - #### appendValueList

          <T> Description appendValueList(java.lang.String start,
                                          java.lang.String separator,
                                          java.lang.String end,
                                          T... values)

      Appends a list of values to the description.

    - #### appendValueList

          <T> Description appendValueList(java.lang.String start,
                                          java.lang.String separator,
                                          java.lang.String end,
                                          java.lang.Iterable<T> values)

      Appends a list of values to the description.

    - #### appendList

          Description appendList(java.lang.String start,
                                 java.lang.String separator,
                                 java.lang.String end,
                                 java.lang.Iterable<? extends SelfDescribing> values)

      Appends a list of `SelfDescribing` objects to the description.